Subject: Re: [PATCH net v2] Revert "net/ncsi: change from ndo_set_mac_address to dev_set_mac_address"

From: Jakub Kicinski <[email-masked]>
Date: Wed, 8 Jan 2025 13:44:33 -0800

On Wed, 8 Jan 2025 23:23:23 +0300 Paul Fertser wrote:
> > Original posting by Potin Lai:
> >   https://lore.kernel.org/[email-masked]  
> 
> Unfortunately I wasn't on CC and missed that. Can we fix this proper
> way please, do we have few more days?

Sure thing, we need it in the tree early next week, so probably on
the list by Friday so that folks have a chance to review.

> If I get it right dev_set_mac_address() just isn't meant to be ever
> called from a softirq (and NCSI here is special in getting a MAC
> address update from a "network" frame so that happens in
> net_rx_action() context). So postponing the actual processing of this
> reply looks like the way to go, right?

I think so. Only trickiness I can think of is the ordering of the work
vs admin setting the address from user space. Do venture a patch,
I don't know enough about NC-SI.. :(